

# ListFleetMetrics
<a name="API_ListFleetMetrics"></a>

Lists all your fleet metrics. 

Requires permission to access the [ListFleetMetrics](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax
<a name="API_ListFleetMetrics_RequestSyntax"></a>

```
GET /fleet-metrics?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListFleetMetrics_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListFleetMetrics_RequestSyntax) **   <a name="iot-ListFleetMetrics-request-uri-maxResults"></a>
The maximum number of results to return in this operation.  
Valid Range: Minimum value of 1. Maximum value of 250.

 ** [nextToken](#API_ListFleetMetrics_RequestSyntax) **   <a name="iot-ListFleetMetrics-request-uri-nextToken"></a>
To retrieve the next set of results, the `nextToken` value from a previous response; otherwise `null` to receive the first set of results.

## Request Body
<a name="API_ListFleetMetrics_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListFleetMetrics_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "fleetMetrics": [ 
      { 
         "metricArn": "string",
         "metricName": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListFleetMetrics_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [fleetMetrics](#API_ListFleetMetrics_ResponseSyntax) **   <a name="iot-ListFleetMetrics-response-fleetMetrics"></a>
The list of fleet metrics objects.  
Type: Array of [FleetMetricNameAndArn](API_FleetMetricNameAndArn.md) objects

 ** [nextToken](#API_ListFleetMetrics_ResponseSyntax) **   <a name="iot-ListFleetMetrics-response-nextToken"></a>
The token for the next set of results. Will not be returned if the operation has returned all results.  
Type: String

## Errors
<a name="API_ListFleetMetrics_Errors"></a>

 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ServiceUnavailableException **   
The service is temporarily unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** UnauthorizedException **   
You are not authorized to perform this operation.    
 ** message **   
The message for the exception.
HTTP Status Code: 401

## See Also
<a name="API_ListFleetMetrics_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iot-2015-05-28/ListFleetMetrics) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iot-2015-05-28/ListFleetMetrics) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iot-2015-05-28/ListFleetMetrics) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iot-2015-05-28/ListFleetMetrics) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iot-2015-05-28/ListFleetMetrics) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iot-2015-05-28/ListFleetMetrics) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iot-2015-05-28/ListFleetMetrics) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iot-2015-05-28/ListFleetMetrics) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iot-2015-05-28/ListFleetMetrics) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iot-2015-05-28/ListFleetMetrics) 